#!/usr/bin/env perl
use strict;
use AnyEvent;

my $cv = AnyEvent->condvar;

# XXX ここではSTDOUTを使用していますので、すぐに出力されますが、
# 接続待ちのソケットなどではラグがでてきます。
my $fh = \*STDOUT;
AnyEvent::Util::fh_nonblocking($fh, 1);

my $io; $io = AnyEvent->io(
    fh => $fh,
    poll => "w",
    cb => sub {
        syswrite( $fh, "hoge hoge hoge\n" );
        undef $io;
        $cv->send;
    }
);

$cv->recv;