#!/usr/bin/env perl
use strict;
use AnyEvent;

my $cv = AnyEvent->condvar;

my $count = 1;

my $t; $t = AnyEvent->timer(
    after => 0,
    interval => 1,
    cb => sub {
        warn "timer!";
        if ($count++ > 10) {
            undef $t;
            $cv->send;
        }
    }
);

my $w; $w = AnyEvent->idle(
    cb => sub {
        warn "idle";
        undef $w;
    }
);

$cv->recv;